## libkf5sane 20.08.1

=== debian/changelog ===
libkf5sane (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:01:44 +0100

libkf5sane (20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 18:37:37 +0200

libkf5sane (20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.55.0
    - explicitly add gettext
  * Switch the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Add the configuration for the CI on salsa.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update references to the upstream repository to
    https://invent.kde.org/graphics/libksane.
  * Generate the kde-l10n breaks only for arch:all packages.
  * Do not install the upstream README.md as documentation for libkf5sane-data,
    as it provide no useful content.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 10:39:52 +0200
