=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
            Maximiliano Curia <maxy@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.0.0~),
-               debhelper (>= 12~),
-               extra-cmake-modules (>= 5.30.0~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.55.0~),
+               gettext,
                libkf5i18n-dev (>= 5.55.0~),
                libkf5textwidgets-dev (>= 5.55.0~),
                libkf5wallet-dev (>= 5.55.0~),
@@ -16,8 +17,9 @@
                libx11-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.7.0~),
-Standards-Version: 4.4.0
-Homepage: https://phabricator.kde.org/source/libksane/
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://invent.kde.org/graphics/libksane
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksane
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksane.git
