=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,5 @@
 %:
 	dh $@ --with kf5
 
-override_dh_gencontrol: l10npkgs_firstversion_ok
-	dh_gencontrol
+override_dh_gencontrol-indep: l10npkgs_firstversion_ok
+	dh_gencontrol -i
