## libkf5sane 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,7 @@
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(GenerateExportHeader)
+include(ECMQtDeclareLoggingCategory)
 
 ecm_setup_version(
   ${KF5_VERSION}
