=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>,
-           Scarlett Moore <sgmoore@kde.org>,
+Uploaders: Scarlett Moore <sgmoore@kde.org>,
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.0.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.55.0~),
@@ -17,7 +16,7 @@
                libx11-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.7.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/graphics/libksane
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksane
@@ -27,8 +26,8 @@
 Architecture: all
 Depends: ${misc:Depends}
 Multi-Arch: foreign
-Breaks: libksane-data, ${kde-l10n:all}
-Replaces: libksane-data, ${kde-l10n:all}
+Breaks: libksane-data
+Replaces: libksane-data
 Description: scanner library (data files)
  The KDE scanner library provides an API and widgets for using scanners and
  other imaging devices supported by SANE.
@@ -41,6 +40,7 @@
 Depends: libkf5sane5 (= ${binary:Version}),
          qtbase5-dev (>= 5.7.0~),
          ${misc:Depends},
+Multi-Arch: same
 Description: scanner library development headers
  The KDE scanner library provides an API and widgets for using scanners and
  other imaging devices supported by SANE.
