=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: libkf5sane
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgmoore@kde.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>,
+           Scarlett Moore <sgmoore@kde.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.0.0~),
+Build-Depends: cmake (>= 3.11.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.55.0~),
+               extra-cmake-modules (>= 5.80.0~),
                gettext,
-               libkf5i18n-dev (>= 5.55.0~),
-               libkf5textwidgets-dev (>= 5.55.0~),
-               libkf5wallet-dev (>= 5.55.0~),
-               libkf5widgetsaddons-dev (>= 5.55.0~),
+               libkf5i18n-dev (>= 5.80.0~),
+               libkf5textwidgets-dev (>= 5.80.0~),
+               libkf5wallet-dev (>= 5.80.0~),
+               libkf5widgetsaddons-dev (>= 5.80.0~),
                libsane-dev,
                libx11-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.7.0~),
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.14.0~),
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/graphics/libksane
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksane
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksane.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
 
 Package: libkf5sane-data
 Architecture: all
@@ -38,7 +40,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5sane5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.7.0~),
+         qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
 Multi-Arch: same
 Description: scanner library development headers
