## libkf5sane 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,19 @@
-cmake_minimum_required(VERSION 3.11.0)
+cmake_minimum_required(VERSION 3.16.0)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MAJOR "22")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(KSane)
+project(KSane VERSION ${RELEASE_SERVICE_VERSION})
 
 message(STATUS "-------------------------------------------")
 message(STATUS "Starting CMake configuration for: libksane")
 
 # ECM setup (Extended Cmake Modules)
 include(FeatureSummary)
-set(KF5_VERSION "5.80.0")
+set(KF5_VERSION "5.90.0")
 find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 # ECM setup2 and include find same cmake module (copied from /usr/share/kde4/apps/cmake/modules/FindSane.cmake)
@@ -41,9 +41,9 @@
 )
 
 # Dependencies
-set(REQUIRED_QT_VERSION "5.14.0")
+set(REQUIRED_QT_VERSION "5.15.2")
 # Required Qt5 components to build this framework
-find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Widgets)
+find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Widgets)
 
 # Required KF5 frameworks
 find_package(KF5I18n ${KF5_VERSION} REQUIRED)
@@ -59,12 +59,15 @@
     )
 
     # Check if sane API is available.
-    find_package(Sane REQUIRED)
-    message(STATUS "SANE_FOUND:       ${SANE_FOUND}")
-    message(STATUS "SANE_INCLUDE_DIR: ${SANE_INCLUDE_DIR}")
-    message(STATUS "SANE_LIBRARY:     ${SANE_LIBRARY}")
-    # macro_log_feature(SANE_FOUND "SANE development toolkit" "Scanner Access Now Easy (SANE) development package" "http://www.sane-project.org" TRUE "" "Needed by libksane")
-endif (NOT WIN32)
+    find_package(KSaneCore "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}" REQUIRED)
+    add_subdirectory(src)
+    if (BUILD_TESTING)
+        add_subdirectory(autotests)
+        add_subdirectory(tests)
+    endif()
+else ()
+    add_subdirectory(ksanetwain)
+endif()
 
 add_definitions(
     -DQT_NO_CAST_TO_ASCII
@@ -76,17 +79,12 @@
     -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
     -DQT_STRICT_ITERATORS
 )
-
-# Subdirectories
-if (SANE_FOUND)
-    add_subdirectory(src)
-    if (BUILD_TESTING)
-        add_subdirectory(autotests)
-        add_subdirectory(tests)
-    endif()
-else ()
-    add_subdirectory(ksanetwain)
-endif()
+add_definitions(
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F02
+    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800
+    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
+)
 
 # Create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Sane")
@@ -113,9 +111,11 @@
 
 install(FILES
   "${CMAKE_CURRENT_BINARY_DIR}/ksane_version.h"
-  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF5}"
+  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}"
   COMPONENT Devel
 )
+
+ki18n_install(po)
 
 # =======================================================
 
@@ -129,4 +129,3 @@
 # =======================================================
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)
