=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkf5sane
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
@@ -14,23 +15,23 @@
                libkf5textwidgets-dev (>= 5.90.0~),
                libkf5wallet-dev (>= 5.90.0~),
                libkf5widgetsaddons-dev (>= 5.90.0~),
-               libksanecore-dev,
+               libksanecore-dev (>= 23.08.0~),
                libsane-dev,
                libx11-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/graphics/libksane
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksane
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksane.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
 
 Package: libkf5sane-data
 Architecture: all
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Multi-Arch: foreign
-Breaks: libksane-data,
-Replaces: libksane-data,
+Breaks: libksane-data
+Replaces: libksane-data
 Description: scanner library (data files)
  The KDE scanner library provides an API and widgets for using scanners and
  other imaging devices supported by SANE.
@@ -41,6 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5sane5 (= ${binary:Version}),
+         libksanecore-dev (>= 23.08.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Multi-Arch: same
