=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf5textwidgets-dev (>= 5.90.0~),
                libkf5wallet-dev (>= 5.90.0~),
                libkf5widgetsaddons-dev (>= 5.90.0~),
-               libksanecore-dev (>= 23.08.0~),
+               libksanecore-dev (>= 23.08.1~),
                libsane-dev,
                libx11-dev,
                pkg-kde-tools (>= 0.12),
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5sane5 (= ${binary:Version}),
-         libksanecore-dev (>= 23.08.0~),
+         libksanecore-dev (>= 23.08.1~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Multi-Arch: same
